pro example
    ; restore the grid of abundance corrections
    ;gridfile='abcor_c1_3d-atl.sav' ; 3D non-LTE - 1D LTE for C1 
    gridfile='abcor_o1_3d-atl.sav' ; 3D non-LTE - 1D LTE for O1 
    ;gridfile='abcor_g_fe2_3dl-atl.sav' ; 3D LTE - 1D LTE for Fe2
    ;gridfile='abcor_o1_1d-1dl.sav' ; 1D non-LTE - 1D LTE for O1 (very slow!)
    ;gridfile='abcor_c1_1d-1dl.sav' ; 1D non-LTE - 1D LTE for C1 (very slow!)

    restore,gridfile ; restores a structure called "grid"

    ; choose the line
    ;print,grid.line ; will show you the lines available in the grid
    line='777nm'

    ; choose the stellar parameters
    ; for 3D non-LTE minus 1D LTE, set vturb_top to 0
    ; for 1D non-LTE minus 1D LTE, set vturb_top to vturb_base
    star={teff:5772d,$ ; effective temperature
        lgg:4.438d,$ ; surface gravity
        feh:0d,$ ; [Fe/H] (for Fe2, feh may be any value; only lgeps is used)
        vturb_base:1d,$ ; 1D LTE microturbulence
        vturb_top:0d,$ ; 1D/3D non-LTE microturbulence 
        lgeps:8.85d} ; 1D LTE absolute abundance for the line in question

    ; calculate the abundance correction
    abcor=interp_abcor(star,line,grid)
    print,abcor
end
