function interpol_wrap,y_in,x_in,x0,spline=spline,quad=quad,linear=linear
    ;---------------------------------------------------------------------------
    ; name:
    ;   interpol_wrap
    ; purpose:
    ;   wrapper for IDL's interpol
    ; comments:
    ;   none yet
    ;---------------------------------------------------------------------------
    if n_elements(spline) gt 0l then begin
        if spline ge 1l then spline=1l else spline=0l
    endif else spline=0l
    if n_elements(quad) gt 0l then begin
        if quad ge 1l then quad=1l else quad=0l
    endif else quad=0l
    if n_elements(linear) gt 0l then begin
        if linear ge 1l then linear=1l else linear=0l
    endif else linear=0l

    ; default is spline
    if (linear eq 0l and quad eq 0l) then spline=1l

    sx=uniq(x_in,sort(x_in))
    x=x_in[sx]
    y=y_in[sx]
    nx=n_elements(x)
    if (nx eq 1l) then begin
        res=y
        return,res
    endif

    nx0=n_elements(x0)
    res=dblarr(nx0)
    mask_ex=(x0 lt x[0] or x0 gt x[-1])
    iex=where(mask_ex,cex)
    iin=where(~mask_ex,cin)
    if (cex gt 0l) then res[iex]=interpol(y,x,x0[iex])

    if (cin gt 0l) then begin
        if (nx ge 4l and (spline eq 1l)) then begin
            res[iin]=interpol(y,x,x0[iin],/spline)
        endif else if (nx ge 3l and (quad eq 1l)) then begin
            res[iin]=interpol(y,x,x0[iin])
        endif else if (nx ge 2l) then begin
            res[iin]=interpol(y,x,x0[iin])
        endif
    endif
    return,res
end
